Bug 127422 - Scout record creation business logic
Scout record creation business logic
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
rhn350
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mihai Ibanescu
Nick Hansen
:
Depends On:
Blocks: 127309
  Show dependency treegraph
 
Reported: 2004-07-07 19:18 EDT by Mihai Ibanescu
Modified: 2007-04-18 13:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-13 19:12:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Faraldo 2004-07-07 19:18:41 EDT
Need to write scout record creation logic to create RHN_SAT_CLUSTER
and RHN_SAT_NODE records in the database.
Comment 1 Nick Hansen 2004-07-15 16:33:48 EDT
Kicking this back over to DF. 
One note, we still don't have the rhn_sat_cluster_recid_seq created to
replace the use of server_id as the recid in the rhn_sat_cluster
table. I chatted w/ pjones about what needs to be done to add it, and
this is what he said:

<nhansen> hey, so is creating a sequence for an id as easy as: create
sequence rhn_sat_cluster_recid_seq; ?
<nhansen> as in, is that all I have to add to the
tables/rhn_sat_cluster.sql file to create a new one?
<pjones> also need 2 more change files: one as rhn for "grant select
on rhn_sat_cluster_recid_seq to rhn_dml_r;", one as rhnuser for
"create or replace synonym rhn_sat_cluster_recid_seq for
rhn.rhn_sat_cluster_recid_seq;"
<nhansen> ok, so if I want to create rhn_sat_cluster_recid_seq, then I
need to add it in those 3 places?
<pjones> yes, those three places.
Comment 2 Dave Faraldo 2004-07-15 20:42:22 EDT
Creation logic is in place.

To QA:  Create a scout via the UI.  If you can create probes for the
scout you created, the creation logic worked.
Comment 3 Nick Hansen 2004-08-09 12:38:01 EDT
By virtue of the fact that rhn_sat_cluster records are able to be
created via the web installer, this bug passes qa.

Note You need to log in before you can comment on or make changes to this bug.